package com.yonge.toolset.payment.base.model;

import com.yonge.toolset.payment.base.enums.OpenEnum;
import com.yonge.toolset.payment.base.enums.PayChannelEnum;
import com.yonge.toolset.payment.base.enums.PaymentClientEnum;

/**
 * 统一支付对象
 *
 * @Author: liweifan
 * @Data: 2022/5/10 15:06
 */
public class ClosePayment extends Base {
    /***
     * 三方支付流水号（原生渠道在支付时不会返回 三方支付流水号，只有在用户进行交易后，才会有流水号）
     * @author liweifan
     * @updateTime 2022/5/10 15:30
     */
    String id;
    /***
     * 付款订单号 （汇付渠道，不支持使用 付款订单号 进行退款）
     * @author liweifan
     * @updateTime 2022/5/10 15:30
     */
    String paymentNo;
    /***
     * 关闭原因
     * @author liweifan
     * @updateTime 2022/5/10 15:30
     */
    String reason;
    /***
     * 扩展域
     * @author liweifan
     * @updateTime 2022/5/10 15:30
     */
    String expend;
    /**
     * 是否有回调通知
     */
    Boolean hasNotify = true;

    public ClosePayment(OpenEnum openType, PaymentClientEnum paymentClient, PayChannelEnum payChannel) {
        super(openType, paymentClient, payChannel);
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getExpend() {
        return expend;
    }

    public void setExpend(String expend) {
        this.expend = expend;
    }

    public Boolean getHasNotify() {
        return hasNotify;
    }

    public void setHasNotify(Boolean hasNotify) {
        this.hasNotify = hasNotify;
    }
}
